import { Collapsible, CollapsibleContent, CollapsibleTrigger } from "../../../../components/ui/collapsible.js";
import { c } from "react/compiler-runtime";
import React from "react";
import { jsx, jsxs } from "react/jsx-runtime";
import { ChevronDown } from "lucide-react";
var DocumentDebugRenderer_default = (s) => {
	let l = c(3), { document: u } = s, d;
	l[0] === Symbol.for("react.memo_cache_sentinel") ? (d = /* @__PURE__ */ jsxs(CollapsibleTrigger, {
		className: "flex w-full items-center justify-between p-4 text-left",
		children: [/* @__PURE__ */ jsx("span", {
			className: "text-gray-500",
			children: "Debug Info"
		}), /* @__PURE__ */ jsx(ChevronDown, { className: "h-4 w-4 text-gray-400" })]
	}), l[0] = d) : d = l[0];
	let f;
	return l[1] === u.content ? f = l[2] : (f = /* @__PURE__ */ jsx("div", {
		className: "mx-3 mb-2 flex justify-end",
		children: /* @__PURE__ */ jsxs(Collapsible, {
			className: "rounded-lg border-0 bg-gray-100 shadow-none",
			children: [d, /* @__PURE__ */ jsx(CollapsibleContent, {
				className: "px-4 pb-4",
				children: /* @__PURE__ */ jsx("div", {
					className: "max-w-full overflow-scroll",
					children: /* @__PURE__ */ jsx("pre", { children: u.content })
				})
			})]
		})
	}), l[1] = u.content, l[2] = f), f;
};
export { DocumentDebugRenderer_default as default };
